<?php 

namespace Teknisa\MAN\Controllers;

use Zeedhi\Framework\DTO;
use Zeedhi\Framework\Controller\CrudWithParameterBag;
use Zeedhi\Framework\DataSource\ParameterBag;

class SelectSetor extends CrudWithParameterBag {
    
    protected $dataSourceName = 'select_setor'; 
    protected $parameterBagColumns = array('NRORG', 'CDFILIAL');
    const DATA_SOURCE_IMPORTACAO = 'select_setor_importacao';
    const PARAMETER_BAG_IMPORTACAO = array('NRORG', 'CDFILIAL','CDFILIAL_DESTINO');
    const DATA_SOURCE_CAIXA = 'select_setor_caixa';
    const PARAMETER_BAG_CAIXA = array('NRORG', 'CDFILIAL');
    
    public function findSetor(DTO\Request\Filter $request, DTO\Response $response){
        parent::find($request,$response);
    }
    
    public function findSetorCaixa(DTO\Request\Filter $request, DTO\Response $response){
        $this->dataSourceName = self::DATA_SOURCE_CAIXA;
        $this->parameterBagColumns = self::PARAMETER_BAG_CAIXA;
        parent::find($request,$response);
    }
    
    public function findSetorImportacao(DTO\Request\Filter $request, DTO\Response $response){
        $this->dataSourceName = self::DATA_SOURCE_IMPORTACAO;
        $this->parameterBagColumns = self::PARAMETER_BAG_IMPORTACAO;
        parent::find($request,$response);
    }
   
}